PHP Manual
Prev |  | Next

# SAMMessage->__construct()

(no version information, might be only in CVS)

SAMMessage->__construct() -- Creates a new Message object

## Description

class SAMMessage {
__construct ( [mixed body] )
}

Creates a new SAMMessage object optionally specifying a message body.

## Parameters

`body`

  The optional body for the message.

## Examples

Example 1. Creating a message

`<?php $msg = new SAMMessage(); ?>`

Example 2. Creating a message with a simple text payload

`<?php $msg = new SAMMessage('This is a simple text message'); ?>`

Prev | Home | Next
SAMMessage->body | Up | SAMMessage->header